std::filesystem::path::root_name(3)

NAME
std::filesystem::path::root_name - std::filesystem::path::root_name

Synopsis
   path root_name() const; (since C++17)
   Returns the root name of the generic-format path. If the path (in generic format)
   does not include root name, returns path().

Parameters
   (none)

Return value
   The root name of the path.

Exceptions
   May throw implementation-defined exceptions.

Example
// Run this code
 #include <iostream>
 #include <filesystem>
 namespace fs = std::filesystem;
 int main()
 {
     std::cout << "Current root name is: " << fs::current_path().root_name() << '\n';
 }

Possible output:
 Current root name is: "C:"

See also
   root_directory returns the root directory of the path, if present
                  (public member function)
   root_path returns the root path of the path, if present
                  (public member function)